### File

`packages/eui/packages/components-next/src/lib/layout/eui-dimmer/dimmer.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-dimmer`
styleUrls | `./_styles/_index.scss`

### Index

###### Properties
_isDimmerActive Public asService
###### Inputs
e2eAttr isDimmerActive
###### HostBindings
class
###### Accessors
isDimmerActive

### Constructor

`constructor(asService: UxAppShellService, router: Router)`
Parameters :
Name | Type | Optional
asService | `UxAppShellService` | No
router | `Router` | No

### Inputs

e2eAttr
Type : `string`
Default value : `'eui-dimmer'`

isDimmerActive

### HostBindings

class

### Properties

_isDimmerActive
Default value : `false`

Public asService
Type : `UxAppShellService`

### Accessors

isDimmerActive
set `isDimmerActive(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""